Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-3111

Published: 5 June 2023

A use after free vulnerability was found in prepare_to_relocate in fs/btrfs/relocation.c in btrfs in the Linux Kernel. This possible flaw can be triggered by calling btrfs_ioctl_balance() before calling btrfs_ioctl_defrag().

From the Ubuntu Security Team

It was discovered that the btrfs file system implementation in the Linux kernel did not properly handle error conditions in some situations, leading to a use-after-free vulnerability. A local attacker could possibly use this to cause a denial of service (system crash).

Priority

Medium

Cvss 3 Severity Score

7.8

Score breakdown

Status

Package Release Status
linux-nvidia
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Pending

kinetic Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-gkeop-5.15
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Pending

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-aws-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-aws-6.2, was needs-triage)
linux-gcp-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-riscv-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
linux-allwinner
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

kinetic Not vulnerable

lunar Not vulnerable

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
linux-allwinner-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
linux-starfive
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

kinetic Not vulnerable

lunar Not vulnerable

upstream Needs triage

mantic Not vulnerable

linux-starfive-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
linux
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-53.59)
kinetic Not vulnerable
(5.19.0-18.18)
lunar Not vulnerable
(5.19.0-21.21)
upstream
Released (6.0~rc2)
xenial
Released (4.4.0-242.276)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
bionic
Released (4.15.0-214.225)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.4.0-156.173)
trusty Ignored
(ESM criteria, was needed)
mantic Not vulnerable
(6.2.0-20.20)
Patches:
Introduced by

5d4f98a28c7d334091c1b7744f48a1acdd2a4ae0

Fixed by 85f02d6c856b9f3a0acf5219de6e32f58b9778eb
linux-aws
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1023.27)
kinetic Not vulnerable
(5.19.0-1007.7)
lunar Not vulnerable
(5.19.0-1009.9)
upstream
Released (6.0~rc2)
trusty
Released (4.4.0-1120.126)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
xenial
Released (4.4.0-1158.173)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
bionic
Released (4.15.0-1159.172)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.4.0-1107.115)
mantic Not vulnerable
(6.2.0-1003.3)
linux-aws-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1023.27~20.04.1)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-azure
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1023.29)
bionic Ignored
(superseded by linux-azure-5.3)
kinetic Not vulnerable
(5.19.0-1006.6)
lunar Not vulnerable
(5.19.0-1008.8)
upstream
Released (6.0~rc2)
trusty
Released (4.15.0-1168.183~14.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
xenial
Released (4.15.0-1168.183~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.4.0-1114.120)
mantic Not vulnerable
(6.2.0-1003.3)
linux-azure-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1023.29~20.04.1)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-azure-fde
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1023.29)
bionic Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

focal Ignored
(superseded by linux-azure-fde-5.15, was needed)
linux-gcp
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1022.29)
bionic Ignored
(superseded by linux-gcp-5.3)
kinetic Not vulnerable
(5.19.0-1006.6)
lunar Not vulnerable
(5.19.0-1008.8)
trusty Does not exist

upstream
Released (6.0~rc2)
xenial
Released (4.15.0-1153.170~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.4.0-1110.119)
mantic Not vulnerable
(6.2.0-1005.5)
linux-gcp-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1022.29~20.04.1)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-gke
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1020.25)
xenial Ignored
(end of standard support)
bionic Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
focal
Released (5.4.0-1105.112)
mantic Does not exist

linux-gke-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1020.25~20.04.1)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-gkeop
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1008.12)
bionic Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

focal
Released (5.4.0-1074.78)
mantic Does not exist

linux-hwe-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-53.59~20.04.1)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-intel-iotg
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1018.23)
bionic Does not exist

focal Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-intel-iotg-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1018.23~20.04.1)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-kvm
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1021.26)
kinetic Not vulnerable
(5.19.0-1006.6)
lunar Not vulnerable
(5.19.0-1008.8)
trusty Does not exist

upstream
Released (6.0~rc2)
xenial
Released (4.4.0-1121.131)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
bionic
Released (4.15.0-1143.148)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.4.0-1096.102)
mantic Does not exist

linux-lowlatency
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-53.59)
bionic Does not exist

focal Does not exist

kinetic Not vulnerable
(5.19.0-1005.5)
lunar Not vulnerable
(5.19.0-1007.7)
trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Not vulnerable
(6.2.0-1003.3)
linux-lowlatency-hwe-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-53.59~20.04.1)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-oracle
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1022.28)
bionic Ignored
(was needed ESM criteria)
kinetic Not vulnerable
(5.19.0-1006.6)
lunar Not vulnerable
(5.19.0-1008.8)
focal
Released (5.4.0-1106.115)
trusty Does not exist

upstream
Released (6.0~rc2)
xenial
Released (4.15.0-1122.133~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Not vulnerable
(6.2.0-1003.3)
linux-oracle-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1022.28~20.04.1)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-raspi
Launchpad, Ubuntu, Debian
jammy
Released (5.15.0-1018.20)
bionic Does not exist

kinetic Not vulnerable
(5.19.0-1002.6)
lunar Not vulnerable
(5.19.0-1004.10)
trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

focal
Released (5.4.0-1091.102)
mantic Not vulnerable
(6.2.0-1004.5)
linux-riscv-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1023.27~20.04.1)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-azure-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1168.183)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-raspi-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1091.102~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-aws-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-hwe-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Ignored
(superseded by linux-hwe-6.5, was needs-triage)
mantic Does not exist

linux-lowlatency-hwe-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Ignored
(superseded by linux-lowlatency-hwe-6.5, was needs-triage)
mantic Does not exist

linux-ibm-5.15
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Not vulnerable

jammy Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-gcp-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-azure-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-azure-fde-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-azure-5.19
Launchpad, Ubuntu, Debian
jammy Ignored
(superseded by linux-azure-6.2, was needs-triage)
bionic Does not exist

focal Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-fips
Launchpad, Ubuntu, Debian
trusty Ignored
(end of standard support)
xenial Ignored
(end of standard support)
bionic Does not exist

focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (6.0~rc2)
mantic Does not exist

linux-gke-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-gke-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-gke-5.4)
xenial Does not exist

mantic Does not exist

linux-intel-5.13
Launchpad, Ubuntu, Debian
focal Ignored
(end of kernel support, was needs-triage)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-oem
Launchpad, Ubuntu, Debian
xenial Ignored
(end of standard support)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
mantic Does not exist

bionic Ignored
(replaced by linux-hwe-5.4, was needs-triage)
linux-oem-5.10
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-oem-5.13, was needs-triage)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-oem-5.14
Launchpad, Ubuntu, Debian
focal Ignored
(replaced by linux-hwe-5.15, was needs-triage)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-oem-5.17
Launchpad, Ubuntu, Debian
kinetic Ignored
(end of life, was needs-triage)
bionic Does not exist

focal Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

jammy Ignored
(superseded by linux-oem-6.1, was needed)
linux-oem-5.6
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-oem-5.10, was needs-triage)
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-raspi2-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-raspi2-5.4)
xenial Does not exist

mantic Does not exist

linux-azure-5.3
Launchpad, Ubuntu, Debian
focal Does not exist

bionic Ignored
(superseded by linux-azure-5.4)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-azure-5.4)
xenial Does not exist

mantic Does not exist

linux-dell300x
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-raspi2
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support)
focal Ignored
(replaced by linux-raspi)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Ignored
(end of standard support)
mantic Does not exist

linux-xilinx-zynqmp
Launchpad, Ubuntu, Debian
jammy Ignored
(end of kernel support, was needs-triage)
bionic Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

focal
Released (5.4.0-1027.31)
mantic Does not exist

linux-snapdragon
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Ignored
(end of standard support)
mantic Does not exist

linux-aws-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-hwe-5.3)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-aws-5.11
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-aws-5.13)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-aws-5.13)
xenial Does not exist

mantic Does not exist

linux-aws-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-aws-5.15)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-aws-5.15)
xenial Does not exist

mantic Does not exist

linux-aws-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-hwe-5.4)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-aws-5.4)
xenial Does not exist

mantic Does not exist

linux-aws-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

bionic
Released (5.4.0-1107.115~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

linux-aws-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-aws-5.11)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-aws-5.11)
xenial Does not exist

mantic Does not exist

linux-aws-hwe
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial
Released (4.15.0-1159.172~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

linux-azure-5.11
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-azure-5.13)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-azure-5.13)
xenial Does not exist

mantic Does not exist

linux-azure-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-azure-5.15)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-azure-5.15)
xenial Does not exist

mantic Does not exist

linux-azure-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

bionic
Released (5.4.0-1113.119~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

linux-azure-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-azure-5.11)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-azure-5.11)
xenial Does not exist

mantic Does not exist

linux-azure-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-azure-5.3)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-azure-fde-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal
Released (5.15.0-1023.29~20.04.1)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-azure-fde-5.19
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

jammy Ignored
(superseded by linux-azure-fde-6.2, was needs-triage)
linux-bluefield
Launchpad, Ubuntu, Debian
bionic Does not exist

jammy Not vulnerable
(5.15.0-1011.13)
kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

focal
Released (5.4.0-1068.74)
mantic Does not exist

linux-gcp-4.15
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

bionic
Released (4.15.0-1153.170)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

linux-gcp-5.11
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-gcp-5.13)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-gcp-5.13)
xenial Does not exist

mantic Does not exist

linux-gcp-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-gcp-5.15)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-gcp-5.15)
xenial Does not exist

mantic Does not exist

linux-gcp-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-gcp-5.4)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-gcp-5.4)
xenial Does not exist

mantic Does not exist

linux-gcp-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

bionic
Released (5.4.0-1110.119~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

linux-gcp-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-gcp-5.11)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-gcp-5.11)
xenial Does not exist

mantic Does not exist

linux-gke-4.15
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

bionic Ignored
(superseded by linux-gke-5.0, was needs-triage)
linux-gke-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

bionic Ignored
(end of kernel support, was needs-triage)
linux-gkeop-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

bionic Ignored
(end of kernel support, was needs-triage)
linux-hwe
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial
Released (4.15.0-214.225~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

bionic Ignored
(replaced by linux-hwe-5.4, was needs-triage)
linux-hwe-5.11
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-hwe-5.13)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-hwe-5.13)
xenial Does not exist

mantic Does not exist

linux-hwe-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-hwe-5.15)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-hwe-5.15)
xenial Does not exist

mantic Does not exist

linux-hwe-5.19
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable
(5.19.0-28.29~22.04.1)
kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-hwe-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

bionic
Released (5.4.0-156.173~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

linux-hwe-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-hwe-5.11)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-hwe-5.11)
xenial Does not exist

mantic Does not exist

linux-hwe-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-hwe-5.4)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Ignored
(superseded by linux-hwe)
mantic Does not exist

linux-ibm
Launchpad, Ubuntu, Debian
bionic Does not exist

kinetic Not vulnerable
(5.19.0-1006.6)
lunar Not vulnerable
(5.19.0-1008.8)
trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

jammy
Released (5.15.0-1018.21)
focal
Released (5.4.0-1054.59)
mantic Not vulnerable
(6.2.0-1001.1)
linux-ibm-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

bionic
Released (5.4.0-1054.59~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

linux-iot
Launchpad, Ubuntu, Debian
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

focal
Released (5.4.0-1019.20)
mantic Does not exist

linux-lowlatency-hwe-5.19
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable
(5.19.0-1017.18~22.04.1)
kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

trusty
Released (4.4.0-242.276~14.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

linux-oem-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-oem-5.14)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-oem-5.14)
xenial Does not exist

mantic Does not exist

linux-oem-6.0
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable
(6.0.0-1006.6)
kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-oem-6.1
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable
(6.1.0-1004.4)
kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-oem-osp1
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-oracle-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-oracle-5.3)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

linux-oracle-5.11
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-oracle-5.13)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-oracle-5.13)
xenial Does not exist

mantic Does not exist

linux-oracle-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Does not exist

focal Ignored
(superseded by linux-oracle-5.15, was needs-triage)
linux-oracle-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-oracle-5.4)
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-oracle-5.4)
xenial Does not exist

mantic Does not exist

linux-oracle-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

bionic
Released (5.4.0-1106.115~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
mantic Does not exist

linux-oracle-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-oracle-5.11)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-oracle-5.11)
xenial Does not exist

mantic Does not exist

linux-riscv
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-riscv-5.8)
kinetic Not vulnerable
(5.19.0-1003.3)
lunar Not vulnerable
(5.19.0-1004.4)
trusty Does not exist

upstream
Released (6.0~rc2)
xenial Does not exist

mantic Not vulnerable
(6.2.0-19.19.1)
jammy Ignored
(end of kernel support, was needs-triage)
linux-riscv-5.11
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-riscv-5.13)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-riscv-5.13)
xenial Does not exist

mantic Does not exist

linux-riscv-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Ignored
(superseded by linux-riscv-5.11)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-riscv-5.11)
xenial Does not exist

mantic Does not exist

linux-nvidia-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

linux-starfive-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-starfive-6.5, was needs-triage)
linux-laptop
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

lunar Does not exist

mantic Not vulnerable

upstream Needs triage

linux-oem-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

linux-hwe-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

linux-lowlatency-hwe-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

Severity score breakdown

Parameter Value
Base score 7.8
Attack vector Local
Attack complexity Low
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H